
Redmine - Feature #7848

Add class for project title in the header

2011-03-13 09:30 - Ivan Cenov

Status: Closed Start date: 2011-03-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

This issue follows the thread RE: Big fonts for project names ... how to make them smaller .

Now the project title is in 'h1' and as consequence it is too big (look at "Deep in hierarchy" in the picture uploaded in the above forum

thread).

It would be nice this to have its class in css so as one to be able to tune it as he/she finds it appropriate.

The method generating the projects titles is source:/trunk/app/helpers/application_helper.rb#L396 and the line that adds the title of

the selected project is source:/trunk/app/helpers/application_helper.rb#L411 (I suppose so.).

Related issues:

Related to Redmine - Defect #9275: If the number of modules spans over 2 line... Closed 2011-09-19

Related to Redmine - Patch #21947: Improve page header title for deeply neste... Closed

Has duplicate Redmine - Defect #8097: Redmine themes Closed 2011-04-07

History

#1 - 2011-04-08 08:55 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2011-04-08 08:56 - Etienne Massip

There are some shots in #8097.

#3 - 2013-02-02 13:24 - Ivan Cenov

- Status changed from New to Resolved

I edited my theme and also made project names shorter so this is not issue for me. If no one else is is interested, please close this issue.

#4 - 2018-01-10 13:36 - Go MAEDA

- Status changed from Resolved to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Project name in the header has "current-project" class since r15256 (Redmine 3.3.0).

#5 - 2018-01-10 13:37 - Go MAEDA

- Related to Patch #21947: Improve page header title for deeply nested project structures (+ improved XSS resilience) added

#6 - 2018-01-10 13:42 - Toshi MARUYAMA

- Description updated
